'use client'

import Image from 'next/image';
import Link from 'next/link';
import NavigationAuth from './auth';
import { ThemeToggle, TVToggle, useTVMode } from '@/components/context';

const Navigation = () => {
	const { tvMode } = useTVMode();
	if (tvMode) {
		return (
			<div className='absolute top-4 right-2'>
				<div className='flex flex-row my-auto items-center pt-2 pr-0 md:pt-4'>
					<TVToggle />
				</div>
			</div>
		);
	}
	return (
		<nav
			className='w-full flex justify-center
      border-b border-b-foreground/10 h-16'
		>
			<div
				className='w-full max-w-5xl flex justify-between
        items-center p-3 px-5 text-sm'
			>
				<div className='flex gap-5 items-center font-semibold'>
					<Link className='flex flex-row my-auto gap-2' href='/'>
						<Image src='/favicon.png' alt='T3 Logo' width={50} height={50} />
						<h1 className='my-auto text-2xl'>Tech Tracker</h1>
					</Link>
				</div>
				<div className='flex items-center gap-2'>
					<TVToggle />
					<ThemeToggle />
					<NavigationAuth />
				</div>
			</div>
		</nav>
	);
};
export default Navigation;
